Page MenuHomePhabricator

Add autopatrolled group to Bengali Wikisource
Closed, ResolvedPublic

Description

In the same vein as T20307, and per community consensus here, we would like to add the autopatrolled user group to the Bengali Wikisource. (I found it odd that pages User:Atudu was creating were not automatically marked as patrolled, even as her edits were automatically marked as patrolled. Even if this occurrence is not related to a lack of the autopatrolled user group, we would still like to have the group ready for other users.)

Event Timeline

Mahir256 created this task.Jul 12 2018, 8:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2018, 8:17 PM
Urbanecm claimed this task.Jul 12 2018, 8:26 PM
Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 12 2018, 8:26 PM

To explain: Sysops and bots are autopatrolled automatically, without the need for a group.

Who should be able to asssign/revoke the group?

I figured as much about sysops and bots being automatically patrolled. Sysops should be able to grant the autopatrol flag.

Urbanecm moved this task from Backlog to Later on the User-Urbanecm board.Jul 26 2018, 2:41 PM

Change 448050 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Introduce autopatrolled on bnwikisource

https://gerrit.wikimedia.org/r/448050

Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Hello, this patch will be deployed tomorrow between 11:00 and 12:00 UTC.

Change 448050 merged by jenkins-bot:
[operations/mediawiki-config@master] Introduce autopatrolled on bnwikisource

https://gerrit.wikimedia.org/r/448050

Mentioned in SAL (#wikimedia-operations) [2018-07-31T11:37:48Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:448050|Introduce autopatrolled on bnwikisource (T199475)]] (duration: 00m 48s)

Urbanecm closed this task as Resolved.Jul 31 2018, 11:39 AM

Deployed. Should it be broken, please reopen&comment.